Name:          liblcms2
Version:       2.7
Release:       1mamba
Summary:       A small-footprint color management engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.littlecms.com/
Source:        http://downloads.sourceforge.net/project/lcms/lcms/%{version}/lcms2-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Little CMS intends to be a small-footprint color management engine, with special focus on accuracy and performance.
It uses the International Color Consortium standard (ICC), which is the modern standard when regarding to color management.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Little CMS intends to be a small-footprint color management engine, with special focus on accuracy and performance.
It uses the International Color Consortium standard (ICC), which is the modern standard when regarding to color management.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
The %{name}-tools package contains utility applications for %{name}.

%prep
%setup -q -n lcms2-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liblcms2.so.*
%doc AUTHORS COPYING ChangeLog README.1ST

%files devel
%defattr(-,root,root)
%{_includedir}/lcms2.h
%{_includedir}/lcms2_plugin.h
%{_libdir}/liblcms2.a
%{_libdir}/liblcms2.la
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc

%files tools
%defattr(-,root,root)
%{_bindir}/jpgicc
%{_bindir}/linkicc
%{_bindir}/psicc
%{_bindir}/tificc
%{_bindir}/transicc
%{_mandir}/man1/jpgicc.*
%{_mandir}/man1/tificc.*

%changelog
* Thu May 14 2015 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Mon Apr 14 2014 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Mon Jul 01 2013 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3

* Sat Jan 01 2011 Davide Madrisan <davide.madrisan@gmail.com> 2.1-1mamba
- package created by autospec
